<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>com.aptener.bluconnect.device</title>
    <link href="../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../styles/style.css" rel="Stylesheet">
<link href="../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../styles/main.css" rel="Stylesheet">
<link href="../../styles/prism.css" rel="Stylesheet">
<link href="../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="package" id="content" pageIds="bluconnect::com.aptener.bluconnect.device////PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../index.html">bluconnect</a><span class="delimiter">/</span><span class="current">com.aptener.bluconnect.device</span></div>
  <div class="cover ">
    <h1 class="cover"><span><span>Package-level</span></span> <span><span>declarations</span></span></h1>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="TYPE">Types</button></div>
    <div class="tabs-section-body">
      <div data-togglable="TYPE">
        <h2 class="">Types</h2>
        <div class="table"><a data-name="-1107144019%2FClasslikes%2F-1410038383" anchor-label="AdvertisingBluArmorDevice" id="-1107144019%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-advertising-blu-armor-device/index.html"><span>Advertising</span><wbr></wbr><span>Blu</span><wbr></wbr><span>Armor</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1107144019%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-advertising-blu-armor-device/index.html">AdvertisingBluArmorDevice</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">val </span>model<span class="token operator">: </span><span data-unresolved-link="/&amp;lt;Error class: unknown class&amp;gt;///PointingToDeclaration/">&lt;Error class: unknown class&gt;</span><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>deviceName<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>macAddress<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>device<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/bluetooth/BluetoothDevice.html">BluetoothDevice</a></span></span><span class="token punctuation">)</span> : <a href="-non-connected-blu-armor-device/index.html">NonConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph">BluArmor range of device in advertising mode</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1246753210%2FClasslikes%2F-1410038383" anchor-label="AHOta" id="-1246753210%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-a-h-ota/index.html"><span><span>AHOta</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1246753210%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-a-h-ota/index.html">AHOta</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1155212973%2FClasslikes%2F-1410038383" anchor-label="AHX30" id="1155212973%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-a-h-x30/index.html"><span><span>AHX30</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1155212973%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-a-h-x30/index.html">AHX30</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-a-h-x30/index.html">AHX30</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant ButtonClickImpl Observe and simulate button clicks SecondPhoneControlSx Pair second phone OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1030240611%2FClasslikes%2F-1410038383" anchor-label="BluArmorDevice" id="-1030240611%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-blu-armor-device/index.html"><span>Blu</span><wbr></wbr><span>Armor</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1030240611%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-blu-armor-device/index.html">BluArmorDevice</a></div><div class="brief "><p class="paragraph">Represent BluArmor device</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1251099373%2FClasslikes%2F-1410038383" anchor-label="BluArmorDeviceClass" id="1251099373%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-blu-armor-device-class/index.html"><span>Blu</span><wbr></wbr><span>Armor</span><wbr></wbr><span>Device</span><wbr></wbr><span><span>Class</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1251099373%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">sealed </span><span class="token keyword">class </span><a href="-blu-armor-device-class/index.html">BluArmorDeviceClass</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">val </span>label<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Intercom Class of BluArmor device to identify what intercom features are supported</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="816424635%2FClasslikes%2F-1410038383" anchor-label="C30" id="816424635%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-c30/index.html"><span><span>C30</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="816424635%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-c30/index.html">C30</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-c30/index.html">C30</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant <span data-unresolved-link="com.aptener.bluconnect.device.control/ButtonClickC30///PointingToDeclaration/">ButtonClickC30</span> Observe and simulate button clicks RideLynkImpl Peer to peer intercom RideGridImpl Mesh intercom SecondPhoneControlSx Pair second phone SpeedDialImpl Speed dial intercom OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="886737320%2FClasslikes%2F-1410038383" anchor-label="ConnectedBluArmorDevice" id="886737320%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-connected-blu-armor-device/index.html"><span>Connected</span><wbr></wbr><span>Blu</span><wbr></wbr><span>Armor</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="886737320%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a> : <a href="-blu-armor-device/index.html">BluArmorDevice</a></div><div class="brief "><p class="paragraph">BluArmor device with active connection</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="280639189%2FClasslikes%2F-1410038383" anchor-label="HS1" id="280639189%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-h-s1/index.html"><span><span>HS1</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="280639189%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-h-s1/index.html">HS1</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph">Smart Helmet Headset SDK for HS1</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-723741596%2FClasslikes%2F-1410038383" anchor-label="MWX1" id="-723741596%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-m-w-x1/index.html"><span><span>MWX1</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-723741596%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-m-w-x1/index.html">MWX1</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-m-w-x1/index.html">MWX1</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant <span data-unresolved-link="com.aptener.bluconnect.device.control/ButtonClickMWX1///PointingToDeclaration/">ButtonClickMWX1</span> Observe and simulate button clicks RideLynkImpl Peer to peer intercom RideGridImpl Mesh intercom SecondPhoneControlSx Pair second phone SpeedDialImpl Speed dial intercom OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-247213488%2FClasslikes%2F-1410038383" anchor-label="NoDevice" id="-247213488%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-no-device/index.html"><span>No</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-247213488%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">object </span><a href="-no-device/index.html">NoDevice</a> : <a href="-non-connected-blu-armor-device/index.html">NonConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph">False positive result for BluArmor Range of devices / null</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1613079361%2FClasslikes%2F-1410038383" anchor-label="NonConnectedBluArmorDevice" id="1613079361%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-non-connected-blu-armor-device/index.html"><span>Non</span><wbr></wbr><span>Connected</span><wbr></wbr><span>Blu</span><wbr></wbr><span>Armor</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1613079361%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-non-connected-blu-armor-device/index.html">NonConnectedBluArmorDevice</a> : <a href="-blu-armor-device/index.html">BluArmorDevice</a></div><div class="brief "><p class="paragraph">BluArmor device without connection</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-321153567%2FClasslikes%2F-1410038383" anchor-label="Obex" id="-321153567%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-obex/index.html"><span><span>Obex</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-321153567%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-obex/index.html">Obex</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-obex/index.html">Obex</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant ButtonClickImpl Observe and simulate button clicks RideLynkImpl Peer to peer intercom RideGridImpl Mesh intercom SecondPhoneControlSx Pair second phone SpeedDialImpl Speed dial intercom OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1091371117%2FClasslikes%2F-1410038383" anchor-label="RideGridDevice" id="-1091371117%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-ride-grid-device/index.html"><span>Ride</span><wbr></wbr><span>Grid</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1091371117%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-ride-grid-device/index.html">RideGridDevice</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">val </span>nodeId<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>name<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>macAddress<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>distance<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>lastPingTime<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>directConnection<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>bearing<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>location<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/location/Location.html">Location</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">RIDEGRID mesh intercom device</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1629872865%2FClasslikes%2F-1410038383" anchor-label="S10X" id="1629872865%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-s10-x/index.html"><span><span>S10X</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1629872865%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-s10-x/index.html">S10X</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-s10-x/index.html">S10X</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant ButtonClickImpl Observe and simulate button clicks RideLynkImpl Peer to peer intercom RideGridImpl Mesh intercom SecondPhoneControlSx Pair second phone SpeedDialImpl Speed dial intercom OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1319589883%2FClasslikes%2F-1410038383" anchor-label="S10XOta" id="-1319589883%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-s10-x-ota/index.html"><span><span>S10XOta</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1319589883%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-s10-x-ota/index.html">S10XOta</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1375136320%2FClasslikes%2F-1410038383" anchor-label="S20X" id="1375136320%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-s20-x/index.html"><span><span>S20X</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1375136320%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-s20-x/index.html">S20X</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph"><a href="-s20-x/index.html">S20X</a> supported features DeviceInfoImpl Metadata of active device BatteryImpl Battery updates VolumeImpl Offers volume controls MediaPlayerImpl Offers media player controls DialerImpl Offers dialer controls VoiceAssistantImpl Invoke voice assistant ButtonClick Observe and simulate button clicks RideLynkImpl Peer to peer intercom RideGridImpl Mesh intercom SecondPhoneControlSx Pair second phone SpeedDialImpl Speed dial intercom OtaSwitchImpl Start OTA update</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-968789946%2FClasslikes%2F-1410038383" anchor-label="S20XOta" id="-968789946%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-s20-x-ota/index.html"><span><span>S20XOta</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-968789946%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-s20-x-ota/index.html">S20XOta</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1470275247%2FClasslikes%2F-1410038383" anchor-label="VidaVoxV1" id="-1470275247%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-vida-vox-v1/index.html"><span>Vida</span><wbr></wbr><span>Vox</span><wbr></wbr><span><span>V1</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1470275247%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-vida-vox-v1/index.html">VidaVoxV1</a> : <a href="-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><div class="brief "><p class="paragraph">Smart Helmet Headset SDK for VIDA VOX VIDA_VOX_V1</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2024 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
